import QtQuick 2.10
import QtQuick.Window 2.10
import QtQuick.Controls 1.6
import QtQuick.Extras 1.4
import QtGraphicalEffects 1.0
import QtQuick.Layouts 1.3

Window {
    width: 640
    height: 480
    flags: Qt.FramelessWindowHint
    color: "transparent"

    Timer {
        interval: 500; running: true; repeat: true
        onTriggered: background.change()
    }

    Image {
        id: background
        source: "qrc:/backgrounds/bg1.png"
        anchors.fill: parent
    }

    DelayButton {
        id: delayButton
        x: 256
        y: 176
        text: qsTr("Button")
    }
}
