#ifndef LOTROPROGRESSWIDGET_H
#define LOTROPROGRESSWIDGET_H

#include <QWidget>
#include <QSettings>
#include <QTimer>

class LotroManager;

namespace Ui {
class LotroProgressWidget;
}

class LotroProgressWidget : public QWidget
{
    Q_OBJECT

public:
    explicit LotroProgressWidget(LotroManager* mgr, QSettings* settings, QWidget *parent = 0);
    ~LotroProgressWidget();
public slots:
    void updateUI();

private:
    Ui::LotroProgressWidget *ui;
    LotroManager* lotro_manager;
    QSettings* settings;
    QTimer* ui_update_timer;
};

#endif // LOTROPROGRESSWIDGET_H
